<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCommitErrors Method (IEdmBatchDelete3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete3 Interface : GetCommitErrors Method (IEdmBatchDelete3)

Visual Basic
C#
C++/CLI

ppoDelErrors
  Array of EdmBatchDelErrInfo structures; one for each error that occurred during IEdmBatchDelete::CommitDelete

Shows the errors that occurred during IEdmBatchDelete::CommitDelete.

# Syntax

Visual Basic |
--- | ---

    Sub GetCommitErrors( _
       ByRef ppoDelErrors() As EdmBatchDelErrInfo _
    )

C# |
--- | ---

    void GetCommitErrors(
       out EdmBatchDelErrInfo[] ppoDelErrors
    )

C++/CLI |
--- | ---

    void GetCommitErrors(
    &   [Out] array<EdmBatchDelErrInfo>^ ppoDelErrors
    )

#### Parameters

ppoDelErrors
  Array of EdmBatchDelErrInfo structures; one for each error that occurred during IEdmBatchDelete::CommitDelete

# Example

See the IEdmBatchDelete examples.

# Remarks

Call this method after calling IEdmBatchDelete::CommitDelete.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NOT_INITIALIZED: IEdmBatchDelete::CommitDelete has not been called.

# See Also

####

IEdmBatchDelete3 Interface
IEdmBatchDelete3 Members

# Availability

SOLIDWORKS PDM Professional 2012